%global rdnn        io.github.kolunmi.bazaar

Name:           bazaar
Version:        0.1.0
Release:        %autorelease
Summary:        App store for GNOME
License:        GPL-3.0-or-later
URL:            https://github.com/kolunmi/bazaar
Source:         %{url}/archive/v%{version}/bazaar-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libdex-1)
BuildRequires:  pkgconfig(flatpak)
BuildRequires:  pkgconfig(appstream)
BuildRequires:  pkgconfig(xmlb)
BuildRequires:  pkgconfig(glycin-1)
BuildRequires:  pkgconfig(glycin-gtk4-1)
BuildRequires:  pkgconfig(yaml-0.1)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)

# for desktop-file-validate command
BuildRequires:  desktop-file-utils
# for appstream-util command
BuildRequires:  libappstream-glib

Requires:       hicolor-icon-theme


%description
A new app store idea for GNOME.


%prep
%autosetup -p 1


%build
%meson
%meson_build


%install
%meson_install


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{rdnn}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{rdnn}.metainfo.xml


%files
%license COPYING
%{_bindir}/bazaar
%{_datadir}/applications/%{rdnn}.desktop
%{_datadir}/dbus-1/services/%{rdnn}.service
%{_datadir}/glib-2.0/schemas/%{rdnn}.gschema.xml
%{_datadir}/gnome-shell/search-providers/%{rdnn}.search-provider.ini
%{_datadir}/icons/hicolor/scalable/apps/%{rdnn}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{rdnn}-symbolic.svg
%{_metainfodir}/%{rdnn}.metainfo.xml
%{_userunitdir}/%{rdnn}.service


%changelog
%autochangelog
